# The config version - Used for migration
# WARNING: DO NOT CHANGE THIS VALUE
config_version=1
# The URL of the Filebin service that the mod should use
filebin_url=https://filebin.net/
# The maximum allowed size of an uploaded file in bytes
max_upload_size=20000000
# The cooldown of goat horns with custom audio in ticks
goat_horn_cooldown=140
# The number of threads to use for loading audio
audio_loader_threads=2
# The default range of music discs with custom audio in blocks
music_disc_range=65.0
# The default range of note blocks with custom audio in blocks
note_block_range=16.0
# The default range of goat horns with custom audio in blocks
goat_horn_range=256.0
# The maximum allowed range of a music disc with custom audio in blocks
max_music_disc_range=256.0
# The maximum allowed range of a note block with custom audio in blocks
max_note_block_range=256.0
# The maximum allowed range of a goat horn with custom audio in blocks
max_goat_horn_range=512.0
# Whether users should be able to upload .wav files
# Note that .wav files are not compressed and can be very large
# Playing .wav files may result in more RAM and storage usage
allow_wav_upload=true
# Whether users should be able to upload .mp3 files
# Note that .mp3 files require Simple Voice Chats mp3 decoder
# Playing .mp3 files can be slightly more CPU intensive
allow_mp3_upload=true
# The maximum allowed duration of a custom audio file in seconds
max_import_duration=300.0
# The maximum allowed duration of a custom music disc in seconds
# Use -1 to disable the limit
max_music_disc_duration=-1.0
# The maximum allowed duration of a note block with custom audio in seconds
# Use -1 to disable the limit
max_note_block_duration=-1.0
# The maximum allowed duration of a custom goat horn in seconds
# Use -1 to disable the limit
max_goat_horn_duration=-1.0
# The maximum amount of audio files that are cached in memory
# Setting this to 0 will disable the cache
# A higher value will result in less disk reads, but more RAM usage
audio_cache_size=128
# If the mod should run a webserver for uploads
# You can configure the webserver in the webserver.properties config
# The webserver.properties will only be generated if this option is set to true
# NOTE: This option is experimental and subject to change
run_web_server=false
